"Fossies" - the Fresh Open Source Software Archive

Member "ragel-6.10/test/Makefile.in" (24 Mar 2017, 27390 Bytes) of package /linux/misc/ragel-6.10.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 6.9_vs_6.10.

    1 # Makefile.in generated by automake 1.15 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 #
   18 #   Copyright 2002-2009 Adrian Thurston <thurston@complang.org>
   19 #
   20 
   21 #   This file is part of Ragel.
   22 #
   23 #   Ragel is free software; you can redistribute it and/or modify
   24 #   it under the terms of the GNU General Public License as published by
   25 #   the Free Software Foundation; either version 2 of the License, or
   26 #   (at your option) any later version.
   27 #
   28 #   Ragel is distributed in the hope that it will be useful,
   29 #   but WITHOUT ANY WARRANTY; without even the implied warranty of
   30 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   31 #   GNU General Public License for more details.
   32 #
   33 #   You should have received a copy of the GNU General Public License
   34 #   along with Ragel; if not, write to the Free Software
   35 #   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
   36 VPATH = @srcdir@
   37 am__is_gnu_make = { \
   38   if test -z '$(MAKELEVEL)'; then \
   39     false; \
   40   elif test -n '$(MAKE_HOST)'; then \
   41     true; \
   42   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   43     true; \
   44   else \
   45     false; \
   46   fi; \
   47 }
   48 am__make_running_with_option = \
   49   case $${target_option-} in \
   50       ?) ;; \
   51       *) echo "am__make_running_with_option: internal error: invalid" \
   52               "target option '$${target_option-}' specified" >&2; \
   53          exit 1;; \
   54   esac; \
   55   has_opt=no; \
   56   sane_makeflags=$$MAKEFLAGS; \
   57   if $(am__is_gnu_make); then \
   58     sane_makeflags=$$MFLAGS; \
   59   else \
   60     case $$MAKEFLAGS in \
   61       *\\[\ \	]*) \
   62         bs=\\; \
   63         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   64           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   65     esac; \
   66   fi; \
   67   skip_next=no; \
   68   strip_trailopt () \
   69   { \
   70     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   71   }; \
   72   for flg in $$sane_makeflags; do \
   73     test $$skip_next = yes && { skip_next=no; continue; }; \
   74     case $$flg in \
   75       *=*|--*) continue;; \
   76         -*I) strip_trailopt 'I'; skip_next=yes;; \
   77       -*I?*) strip_trailopt 'I';; \
   78         -*O) strip_trailopt 'O'; skip_next=yes;; \
   79       -*O?*) strip_trailopt 'O';; \
   80         -*l) strip_trailopt 'l'; skip_next=yes;; \
   81       -*l?*) strip_trailopt 'l';; \
   82       -[dEDm]) skip_next=yes;; \
   83       -[JT]) skip_next=yes;; \
   84     esac; \
   85     case $$flg in \
   86       *$$target_option*) has_opt=yes; break;; \
   87     esac; \
   88   done; \
   89   test $$has_opt = yes
   90 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   91 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   92 pkgdatadir = $(datadir)/@PACKAGE@
   93 pkgincludedir = $(includedir)/@PACKAGE@
   94 pkglibdir = $(libdir)/@PACKAGE@
   95 pkglibexecdir = $(libexecdir)/@PACKAGE@
   96 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   97 install_sh_DATA = $(install_sh) -c -m 644
   98 install_sh_PROGRAM = $(install_sh) -c
   99 install_sh_SCRIPT = $(install_sh) -c
  100 INSTALL_HEADER = $(INSTALL_DATA)
  101 transform = $(program_transform_name)
  102 NORMAL_INSTALL = :
  103 PRE_INSTALL = :
  104 POST_INSTALL = :
  105 NORMAL_UNINSTALL = :
  106 PRE_UNINSTALL = :
  107 POST_UNINSTALL = :
  108 subdir = test
  109 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  110 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  111 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  112 	$(ACLOCAL_M4)
  113 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
  114 mkinstalldirs = $(install_sh) -d
  115 CONFIG_HEADER = $(top_builddir)/ragel/config.h
  116 CONFIG_CLEAN_FILES = runtests
  117 CONFIG_CLEAN_VPATH_FILES =
  118 AM_V_P = $(am__v_P_@AM_V@)
  119 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  120 am__v_P_0 = false
  121 am__v_P_1 = :
  122 AM_V_GEN = $(am__v_GEN_@AM_V@)
  123 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  124 am__v_GEN_0 = @echo "  GEN     " $@;
  125 am__v_GEN_1 = 
  126 AM_V_at = $(am__v_at_@AM_V@)
  127 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  128 am__v_at_0 = @
  129 am__v_at_1 = 
  130 SOURCES =
  131 DIST_SOURCES =
  132 am__can_run_installinfo = \
  133   case $$AM_UPDATE_INFO_DIR in \
  134     n|no|NO) false;; \
  135     *) (install-info --version) >/dev/null 2>&1;; \
  136   esac
  137 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  138 am__tty_colors_dummy = \
  139   mgn= red= grn= lgn= blu= brg= std=; \
  140   am__color_tests=no
  141 am__tty_colors = { \
  142   $(am__tty_colors_dummy); \
  143   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  144     am__color_tests=no; \
  145   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  146     am__color_tests=yes; \
  147   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  148     am__color_tests=yes; \
  149   fi; \
  150   if test $$am__color_tests = yes; then \
  151     red=''; \
  152     grn=''; \
  153     lgn=''; \
  154     blu=''; \
  155     mgn=''; \
  156     brg=''; \
  157     std=''; \
  158   fi; \
  159 }
  160 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  161 am__vpath_adj = case $$p in \
  162     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  163     *) f=$$p;; \
  164   esac;
  165 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  166 am__install_max = 40
  167 am__nobase_strip_setup = \
  168   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  169 am__nobase_strip = \
  170   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  171 am__nobase_list = $(am__nobase_strip_setup); \
  172   for p in $$list; do echo "$$p $$p"; done | \
  173   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  174   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  175     if (++n[$$2] == $(am__install_max)) \
  176       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  177     END { for (dir in files) print dir, files[dir] }'
  178 am__base_list = \
  179   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  180   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  181 am__uninstall_files_from_dir = { \
  182   test -z "$$files" \
  183     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  184     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  185          $(am__cd) "$$dir" && rm -f $$files; }; \
  186   }
  187 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
  188 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
  189 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
  190 # A command that, given a newline-separated list of test names on the
  191 # standard input, print the name of the tests that are to be re-run
  192 # upon "make recheck".
  193 am__list_recheck_tests = $(AWK) '{ \
  194   recheck = 1; \
  195   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  196     { \
  197       if (rc < 0) \
  198         { \
  199           if ((getline line2 < ($$0 ".log")) < 0) \
  200 	    recheck = 0; \
  201           break; \
  202         } \
  203       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  204         { \
  205           recheck = 0; \
  206           break; \
  207         } \
  208       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  209         { \
  210           break; \
  211         } \
  212     }; \
  213   if (recheck) \
  214     print $$0; \
  215   close ($$0 ".trs"); \
  216   close ($$0 ".log"); \
  217 }'
  218 # A command that, given a newline-separated list of test names on the
  219 # standard input, create the global log from their .trs and .log files.
  220 am__create_global_log = $(AWK) ' \
  221 function fatal(msg) \
  222 { \
  223   print "fatal: making $@: " msg | "cat >&2"; \
  224   exit 1; \
  225 } \
  226 function rst_section(header) \
  227 { \
  228   print header; \
  229   len = length(header); \
  230   for (i = 1; i <= len; i = i + 1) \
  231     printf "="; \
  232   printf "\n\n"; \
  233 } \
  234 { \
  235   copy_in_global_log = 1; \
  236   global_test_result = "RUN"; \
  237   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  238     { \
  239       if (rc < 0) \
  240          fatal("failed to read from " $$0 ".trs"); \
  241       if (line ~ /$(am__global_test_result_rx)/) \
  242         { \
  243           sub("$(am__global_test_result_rx)", "", line); \
  244           sub("[ 	]*$$", "", line); \
  245           global_test_result = line; \
  246         } \
  247       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  248         copy_in_global_log = 0; \
  249     }; \
  250   if (copy_in_global_log) \
  251     { \
  252       rst_section(global_test_result ": " $$0); \
  253       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  254       { \
  255         if (rc < 0) \
  256           fatal("failed to read from " $$0 ".log"); \
  257         print line; \
  258       }; \
  259       printf "\n"; \
  260     }; \
  261   close ($$0 ".trs"); \
  262   close ($$0 ".log"); \
  263 }'
  264 # Restructured Text title.
  265 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  266 # Solaris 10 'make', and several other traditional 'make' implementations,
  267 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  268 # by disabling -e (using the XSI extension "set +e") if it's set.
  269 am__sh_e_setup = case $$- in *e*) set +e;; esac
  270 # Default flags passed to test drivers.
  271 am__common_driver_flags = \
  272   --color-tests "$$am__color_tests" \
  273   --enable-hard-errors "$$am__enable_hard_errors" \
  274   --expect-failure "$$am__expect_failure"
  275 # To be inserted before the command running the test.  Creates the
  276 # directory for the log if needed.  Stores in $dir the directory
  277 # containing $f, in $tst the test, in $log the log.  Executes the
  278 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  279 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  280 # will run the test scripts (or their associated LOG_COMPILER, if
  281 # thy have one).
  282 am__check_pre = \
  283 $(am__sh_e_setup);					\
  284 $(am__vpath_adj_setup) $(am__vpath_adj)			\
  285 $(am__tty_colors);					\
  286 srcdir=$(srcdir); export srcdir;			\
  287 case "$@" in						\
  288   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
  289     *) am__odir=.;; 					\
  290 esac;							\
  291 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  292   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
  293 if test -f "./$$f"; then dir=./;			\
  294 elif test -f "$$f"; then dir=;				\
  295 else dir="$(srcdir)/"; fi;				\
  296 tst=$$dir$$f; log='$@'; 				\
  297 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  298   am__enable_hard_errors=no; 				\
  299 else							\
  300   am__enable_hard_errors=yes; 				\
  301 fi; 							\
  302 case " $(XFAIL_TESTS) " in				\
  303   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
  304     am__expect_failure=yes;;				\
  305   *)							\
  306     am__expect_failure=no;;				\
  307 esac; 							\
  308 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  309 # A shell command to get the names of the tests scripts with any registered
  310 # extension removed (i.e., equivalently, the names of the test logs, with
  311 # the '.log' extension removed).  The result is saved in the shell variable
  312 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  313 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  314 # since that might cause problem with VPATH rewrites for suffix-less tests.
  315 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  316 am__set_TESTS_bases = \
  317   bases='$(TEST_LOGS)'; \
  318   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  319   bases=`echo $$bases`
  320 RECHECK_LOGS = $(TEST_LOGS)
  321 AM_RECURSIVE_TARGETS = check recheck
  322 TEST_SUITE_LOG = test-suite.log
  323 TEST_EXTENSIONS = @EXEEXT@ .test
  324 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  325 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  326 am__set_b = \
  327   case '$@' in \
  328     */*) \
  329       case '$*' in \
  330         */*) b='$*';; \
  331           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  332        esac;; \
  333     *) \
  334       b='$*';; \
  335   esac
  336 am__test_logs1 = $(TESTS:=.log)
  337 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  338 TEST_LOGS = $(am__test_logs2:.test.log=.log)
  339 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  340 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  341 	$(TEST_LOG_FLAGS)
  342 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/runtests.in \
  343 	$(top_srcdir)/test-driver README
  344 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  345 ACLOCAL = @ACLOCAL@
  346 AMTAR = @AMTAR@
  347 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  348 AR = @AR@
  349 AUTOCONF = @AUTOCONF@
  350 AUTOHEADER = @AUTOHEADER@
  351 AUTOMAKE = @AUTOMAKE@
  352 AWK = @AWK@
  353 CC = @CC@
  354 CCDEPMODE = @CCDEPMODE@
  355 CFLAGS = @CFLAGS@
  356 CPPFLAGS = @CPPFLAGS@
  357 CXX = @CXX@
  358 CXXDEPMODE = @CXXDEPMODE@
  359 CXXFLAGS = @CXXFLAGS@
  360 CYGPATH_W = @CYGPATH_W@
  361 DEFS = @DEFS@
  362 DEPDIR = @DEPDIR@
  363 ECHO_C = @ECHO_C@
  364 ECHO_N = @ECHO_N@
  365 ECHO_T = @ECHO_T@
  366 EXEEXT = @EXEEXT@
  367 FIG2DEV = @FIG2DEV@
  368 GDC = @GDC@
  369 GMCS = @GMCS@
  370 GOBIN = @GOBIN@
  371 GOBJC = @GOBJC@
  372 INSTALL = @INSTALL@
  373 INSTALL_DATA = @INSTALL_DATA@
  374 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  375 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  376 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  377 JAVAC = @JAVAC@
  378 KELBT = @KELBT@
  379 LDFLAGS = @LDFLAGS@
  380 LIBOBJS = @LIBOBJS@
  381 LIBS = @LIBS@
  382 LTLIBOBJS = @LTLIBOBJS@
  383 MAKEINFO = @MAKEINFO@
  384 MKDIR_P = @MKDIR_P@
  385 OBJEXT = @OBJEXT@
  386 PACKAGE = @PACKAGE@
  387 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  388 PACKAGE_NAME = @PACKAGE_NAME@
  389 PACKAGE_STRING = @PACKAGE_STRING@
  390 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  391 PACKAGE_URL = @PACKAGE_URL@
  392 PACKAGE_VERSION = @PACKAGE_VERSION@
  393 PATH_SEPARATOR = @PATH_SEPARATOR@
  394 PDFLATEX = @PDFLATEX@
  395 PUBDATE = @PUBDATE@
  396 RAGEL = @RAGEL@
  397 RANLIB = @RANLIB@
  398 RUBY = @RUBY@
  399 SET_MAKE = @SET_MAKE@
  400 SHELL = @SHELL@
  401 STRIP = @STRIP@
  402 TXL = @TXL@
  403 VERSION = @VERSION@
  404 abs_builddir = @abs_builddir@
  405 abs_srcdir = @abs_srcdir@
  406 abs_top_builddir = @abs_top_builddir@
  407 abs_top_srcdir = @abs_top_srcdir@
  408 ac_ct_CC = @ac_ct_CC@
  409 ac_ct_CXX = @ac_ct_CXX@
  410 am__include = @am__include@
  411 am__leading_dot = @am__leading_dot@
  412 am__quote = @am__quote@
  413 am__tar = @am__tar@
  414 am__untar = @am__untar@
  415 bindir = @bindir@
  416 build_alias = @build_alias@
  417 builddir = @builddir@
  418 datadir = @datadir@
  419 datarootdir = @datarootdir@
  420 docdir = @docdir@
  421 dvidir = @dvidir@
  422 exec_prefix = @exec_prefix@
  423 host_alias = @host_alias@
  424 htmldir = @htmldir@
  425 includedir = @includedir@
  426 infodir = @infodir@
  427 install_sh = @install_sh@
  428 libdir = @libdir@
  429 libexecdir = @libexecdir@
  430 localedir = @localedir@
  431 localstatedir = @localstatedir@
  432 mandir = @mandir@
  433 mkdir_p = @mkdir_p@
  434 oldincludedir = @oldincludedir@
  435 pdfdir = @pdfdir@
  436 prefix = @prefix@
  437 program_transform_name = @program_transform_name@
  438 psdir = @psdir@
  439 runstatedir = @runstatedir@
  440 sbindir = @sbindir@
  441 sharedstatedir = @sharedstatedir@
  442 srcdir = @srcdir@
  443 sysconfdir = @sysconfdir@
  444 target_alias = @target_alias@
  445 top_build_prefix = @top_build_prefix@
  446 top_builddir = @top_builddir@
  447 top_srcdir = @top_srcdir@
  448 TESTS = runtests
  449 EXTRA_DIST = \
  450 	atoi1.rl clang2.rl cond7.rl element3.rl erract8.rl forder3.rl java1.rl \
  451 	range.rl scan3.rl xml.rl atoi2.rl clang3.rl cppscan1.rl eofact.rl \
  452 	erract9.rl gotocallret1.rl java2.rl recdescent1.rl scan4.rl atoi3.rl \
  453 	clang4.rl cppscan2.rl erract1.rl export1.rl gotocallret2.rl keller1.rl \
  454 	recdescent2.rl stateact1.rl awkemu.rl cond1.rl cppscan3.rl erract2.rl \
  455 	export2.rl high1.rl lmgoto.rl recdescent3.rl statechart1.rl builtin.rl \
  456 	cond2.rl cppscan4.rl erract3.rl export3.rl high2.rl mailbox1.rl \
  457 	repetition.rl strings1.rl call1.rl cond3.rl cppscan5.rl erract4.rl \
  458 	export4.rl high3.rl mailbox2.rl rlscan.rl strings2.rl call2.rl cond4.rl \
  459 	cppscan6.rl erract5.rl fnext1.rl import1.rl mailbox3.rl ruby1.rl \
  460 	tokstart1.rl call3.rl cond5.rl element1.rl erract6.rl forder1.rl \
  461 	include1.rl minimize1.rl scan1.rl union.rl clang1.rl cond6.rl \
  462 	element2.rl erract7.rl forder2.rl include2.rl patact.rl scan2.rl \
  463 	xmlcommon.rl langtrans_c.sh langtrans_csharp.sh langtrans_d.sh \
  464 	langtrans_java.sh langtrans_ruby.sh checkeofact.txl \
  465 	langtrans_csharp.txl langtrans_c.txl langtrans_d.txl langtrans_java.txl \
  466 	langtrans_ruby.txl testcase.txl cppscan1.h eofact.h mailbox1.h strings2.h
  467 
  468 CLEANFILES = \
  469 	*.c *.cpp *.m *.d *.java *.bin *.class *.exp \
  470 	*.out *_c.rl *_d.rl *_java.rl *_ruby.rl *_csharp.rl *.cs \
  471 	*_go.rl *.go *.exe
  472 
  473 all: all-am
  474 
  475 .SUFFIXES:
  476 .SUFFIXES: .log .test .test$(EXEEXT) .trs
  477 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  478 	@for dep in $?; do \
  479 	  case '$(am__configure_deps)' in \
  480 	    *$$dep*) \
  481 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  482 	        && { if test -f $@; then exit 0; else break; fi; }; \
  483 	      exit 1;; \
  484 	  esac; \
  485 	done; \
  486 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
  487 	$(am__cd) $(top_srcdir) && \
  488 	  $(AUTOMAKE) --foreign test/Makefile
  489 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  490 	@case '$?' in \
  491 	  *config.status*) \
  492 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  493 	  *) \
  494 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  495 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  496 	esac;
  497 
  498 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  499 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  500 
  501 $(top_srcdir)/configure:  $(am__configure_deps)
  502 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  503 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  504 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  505 $(am__aclocal_m4_deps):
  506 runtests: $(top_builddir)/config.status $(srcdir)/runtests.in
  507 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  508 tags TAGS:
  509 
  510 ctags CTAGS:
  511 
  512 cscope cscopelist:
  513 
  514 
  515 # Recover from deleted '.trs' file; this should ensure that
  516 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  517 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
  518 # to avoid problems with "make -n".
  519 .log.trs:
  520 	rm -f $< $@
  521 	$(MAKE) $(AM_MAKEFLAGS) $<
  522 
  523 # Leading 'am--fnord' is there to ensure the list of targets does not
  524 # expand to empty, as could happen e.g. with make check TESTS=''.
  525 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  526 am--force-recheck:
  527 	@:
  528 
  529 $(TEST_SUITE_LOG): $(TEST_LOGS)
  530 	@$(am__set_TESTS_bases); \
  531 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  532 	redo_bases=`for i in $$bases; do \
  533 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  534 	            done`; \
  535 	if test -n "$$redo_bases"; then \
  536 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  537 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  538 	  if $(am__make_dryrun); then :; else \
  539 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  540 	  fi; \
  541 	fi; \
  542 	if test -n "$$am__remaking_logs"; then \
  543 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  544 	       "recursion detected" >&2; \
  545 	elif test -n "$$redo_logs"; then \
  546 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  547 	fi; \
  548 	if $(am__make_dryrun); then :; else \
  549 	  st=0;  \
  550 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  551 	  for i in $$redo_bases; do \
  552 	    test -f $$i.trs && test -r $$i.trs \
  553 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  554 	    test -f $$i.log && test -r $$i.log \
  555 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  556 	  done; \
  557 	  test $$st -eq 0 || exit 1; \
  558 	fi
  559 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  560 	ws='[ 	]'; \
  561 	results=`for b in $$bases; do echo $$b.trs; done`; \
  562 	test -n "$$results" || results=/dev/null; \
  563 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
  564 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
  565 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
  566 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
  567 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  568 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  569 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  570 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  571 	  success=true; \
  572 	else \
  573 	  success=false; \
  574 	fi; \
  575 	br='==================='; br=$$br$$br$$br$$br; \
  576 	result_count () \
  577 	{ \
  578 	    if test x"$$1" = x"--maybe-color"; then \
  579 	      maybe_colorize=yes; \
  580 	    elif test x"$$1" = x"--no-color"; then \
  581 	      maybe_colorize=no; \
  582 	    else \
  583 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  584 	    fi; \
  585 	    shift; \
  586 	    desc=$$1 count=$$2; \
  587 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
  588 	      color_start=$$3 color_end=$$std; \
  589 	    else \
  590 	      color_start= color_end=; \
  591 	    fi; \
  592 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
  593 	}; \
  594 	create_testsuite_report () \
  595 	{ \
  596 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
  597 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
  598 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
  599 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  600 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
  601 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
  602 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
  603 	}; \
  604 	{								\
  605 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
  606 	    $(am__rst_title);						\
  607 	  create_testsuite_report --no-color;				\
  608 	  echo;								\
  609 	  echo ".. contents:: :depth: 2";				\
  610 	  echo;								\
  611 	  for b in $$bases; do echo $$b; done				\
  612 	    | $(am__create_global_log);					\
  613 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
  614 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
  615 	if $$success; then						\
  616 	  col="$$grn";							\
  617 	 else								\
  618 	  col="$$red";							\
  619 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
  620 	fi;								\
  621 	echo "$${col}$$br$${std}"; 					\
  622 	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
  623 	echo "$${col}$$br$${std}"; 					\
  624 	create_testsuite_report --maybe-color;				\
  625 	echo "$$col$$br$$std";						\
  626 	if $$success; then :; else					\
  627 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
  628 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
  629 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
  630 	  fi;								\
  631 	  echo "$$col$$br$$std";					\
  632 	fi;								\
  633 	$$success || exit 1
  634 
  635 check-TESTS:
  636 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
  637 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  638 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  639 	@set +e; $(am__set_TESTS_bases); \
  640 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  641 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  642 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  643 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  644 	exit $$?;
  645 recheck: all 
  646 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  647 	@set +e; $(am__set_TESTS_bases); \
  648 	bases=`for i in $$bases; do echo $$i; done \
  649 	         | $(am__list_recheck_tests)` || exit 1; \
  650 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  651 	log_list=`echo $$log_list`; \
  652 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  653 	        am__force_recheck=am--force-recheck \
  654 	        TEST_LOGS="$$log_list"; \
  655 	exit $$?
  656 runtests.log: runtests
  657 	@p='runtests'; \
  658 	b='runtests'; \
  659 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  660 	--log-file $$b.log --trs-file $$b.trs \
  661 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  662 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  663 .test.log:
  664 	@p='$<'; \
  665 	$(am__set_b); \
  666 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  667 	--log-file $$b.log --trs-file $$b.trs \
  668 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  669 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  670 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  671 @am__EXEEXT_TRUE@	@p='$<'; \
  672 @am__EXEEXT_TRUE@	$(am__set_b); \
  673 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  674 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
  675 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  676 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
  677 
  678 distdir: $(DISTFILES)
  679 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  680 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  681 	list='$(DISTFILES)'; \
  682 	  dist_files=`for file in $$list; do echo $$file; done | \
  683 	  sed -e "s|^$$srcdirstrip/||;t" \
  684 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  685 	case $$dist_files in \
  686 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  687 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  688 			   sort -u` ;; \
  689 	esac; \
  690 	for file in $$dist_files; do \
  691 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  692 	  if test -d $$d/$$file; then \
  693 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  694 	    if test -d "$(distdir)/$$file"; then \
  695 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  696 	    fi; \
  697 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  698 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  699 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  700 	    fi; \
  701 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  702 	  else \
  703 	    test -f "$(distdir)/$$file" \
  704 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  705 	    || exit 1; \
  706 	  fi; \
  707 	done
  708 check-am: all-am
  709 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
  710 check: check-am
  711 all-am: Makefile
  712 installdirs:
  713 install: install-am
  714 install-exec: install-exec-am
  715 install-data: install-data-am
  716 uninstall: uninstall-am
  717 
  718 install-am: all-am
  719 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  720 
  721 installcheck: installcheck-am
  722 install-strip:
  723 	if test -z '$(STRIP)'; then \
  724 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  725 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  726 	      install; \
  727 	else \
  728 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  729 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  730 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  731 	fi
  732 mostlyclean-generic:
  733 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  734 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  735 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  736 
  737 clean-generic:
  738 	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  739 
  740 distclean-generic:
  741 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  742 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  743 
  744 maintainer-clean-generic:
  745 	@echo "This command is intended for maintainers to use"
  746 	@echo "it deletes files that may require special tools to rebuild."
  747 clean: clean-am
  748 
  749 clean-am: clean-generic mostlyclean-am
  750 
  751 distclean: distclean-am
  752 	-rm -f Makefile
  753 distclean-am: clean-am distclean-generic
  754 
  755 dvi: dvi-am
  756 
  757 dvi-am:
  758 
  759 html: html-am
  760 
  761 html-am:
  762 
  763 info: info-am
  764 
  765 info-am:
  766 
  767 install-data-am:
  768 
  769 install-dvi: install-dvi-am
  770 
  771 install-dvi-am:
  772 
  773 install-exec-am:
  774 
  775 install-html: install-html-am
  776 
  777 install-html-am:
  778 
  779 install-info: install-info-am
  780 
  781 install-info-am:
  782 
  783 install-man:
  784 
  785 install-pdf: install-pdf-am
  786 
  787 install-pdf-am:
  788 
  789 install-ps: install-ps-am
  790 
  791 install-ps-am:
  792 
  793 installcheck-am:
  794 
  795 maintainer-clean: maintainer-clean-am
  796 	-rm -f Makefile
  797 maintainer-clean-am: distclean-am maintainer-clean-generic
  798 
  799 mostlyclean: mostlyclean-am
  800 
  801 mostlyclean-am: mostlyclean-generic
  802 
  803 pdf: pdf-am
  804 
  805 pdf-am:
  806 
  807 ps: ps-am
  808 
  809 ps-am:
  810 
  811 uninstall-am:
  812 
  813 .MAKE: check-am install-am install-strip
  814 
  815 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
  816 	cscopelist-am ctags-am distclean distclean-generic distdir dvi \
  817 	dvi-am html html-am info info-am install install-am \
  818 	install-data install-data-am install-dvi install-dvi-am \
  819 	install-exec install-exec-am install-html install-html-am \
  820 	install-info install-info-am install-man install-pdf \
  821 	install-pdf-am install-ps install-ps-am install-strip \
  822 	installcheck installcheck-am installdirs maintainer-clean \
  823 	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  824 	pdf-am ps ps-am recheck tags-am uninstall uninstall-am
  825 
  826 .PRECIOUS: Makefile
  827 
  828 
  829 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  830 # Otherwise a system limit (for SysV at least) may be exceeded.
  831 .NOEXPORT: